/**
 * Normalize a list of component names, removing blank/undefined component names and sorting the resulting list.
 */
function normalizeComponentList(names) {
    return names === null || names === void 0 ? void 0 : names.filter((n) => typeof n === "string" && n !== "").sort();
}
export default normalizeComponentList;
